Bug 1492862 - Katello-remove performs too slow in Satellite 6.3 Snap 16.0
Summary: Katello-remove performs too slow in Satellite 6.3 Snap 16.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Other
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Evgeni Golov
QA Contact: Renzo Nuccitelli
URL:
Whiteboard: scale_lab
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-18 19:03 UTC by sbadhwar
Modified: 2018-02-21 16:54 UTC (History)
6 users (show)

Fixed In Version: katello-3.4.5-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19941 0 None None None 2017-09-18 19:26:06 UTC

Description sbadhwar 2017-09-18 19:03:54 UTC
Description of problem:
Removing satellite packages using katello-remove appears to be very slow in comparison to what was there in 6.2 release.

For a comparison, I tried running katello-remove on both 6.2.11 and 6.3 Snap 16.0 and got the following results:

Katello-remove on 6.2.11

real	13m24.804s
user	7m50.206s
sys	1m44.923s

Katello-remove on 6.3 Snap 16.0

real	41m5.501s
user	31m25.616s
sys	1m37.319s

Going by these numbers, katello-remove seems to be atleast twice as slow in comparison to 6.2 releases.

Can something be done here?

Comment 2 Satellite Program 2017-09-18 20:05:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19941 has been resolved.

Comment 3 Renzo Nuccitelli 2017-12-12 16:30:01 UTC
katello-remove has finished in < 3 minutes in Satellite 6.3 snap 28. Thus I am moving this to VERIFIED.

Comment 4 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.